package com.hzya.frame.plugin.dgx.oa.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.plugin.dgx.oa.dao.IPaymentOrderDao;
import com.hzya.frame.plugin.dgx.oa.entity.PaymentOrderEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

public class PaymentOrderDaoImpl extends MybatisGenericDao<PaymentOrderEntity,String> implements IPaymentOrderDao {

    @Override
    @DS("#paymentOrderEntity.dataSourceCode")
    public Integer updatePaymentOrderStatus(PaymentOrderEntity paymentOrderEntity) {
        return super.update("PaymentOrderEntity_update_status",paymentOrderEntity);
    }

    @Override
    @DS("#paymentOrderEntity.dataSourceCode")
    public List<PaymentOrderEntity> queryPaymentOrderRetry(PaymentOrderEntity paymentOrderEntity) {
        return super.query("queryPaymentOrderRetry",paymentOrderEntity);
    }
}
