package com.hzya.frame.plugin.dgx.u9c.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.plugin.dgx.u9c.dao.IOaDao;
import com.hzya.frame.plugin.dgx.u9c.entity.OaEntity;
import com.hzya.frame.sysnew.application.api.entity.SysApplicationApiVo;

import java.util.List;

public class OaDaoImpl extends MybatisGenericDao<OaEntity,String> implements IOaDao {
    /**
     * @param entity
     * @return java.util.List<com.hzya.frame.plugin.dgx.u9c.entity.OaEntity>
     * @Author lvleigang
     * @Description 查询oa请款单
     * @Date 2:56 下午 2024/11/14
     **/
    @Override
    @DS("#entity.dataSourceCode")
    public List<OaEntity> queryQkdList(OaEntity entity) {
        List<OaEntity> o = (List<OaEntity>) super.selectList(getSqlIdPrifx() + "queryQkdList", entity);
        return o;
    }

    /**
     * @param entity
     * @return java.util.List<com.hzya.frame.plugin.dgx.u9c.entity.OaEntity>
     * @Author lvleigang
     * @Description 修改oa请款单
     * @Date 2:56 下午 2024/11/14
     **/
    @Override
    @DS("#entity.dataSourceCode")
    public Integer updateQkd(OaEntity entity) {
        Integer o = super.update(getSqlIdPrifx() + "updateQkd", entity);
        return o;
    }

    /**
     * @param entity
     * @return java.util.List<com.hzya.frame.plugin.dgx.u9c.entity.OaEntity>
     * @Author lvleigang
     * @Description 查询oa请购单
     * @Date 2:56 下午 2024/11/14
     **/
    @Override
    @DS("#entity.dataSourceCode")
    public List<OaEntity> queryQgdList(OaEntity entity) {
        List<OaEntity> o = (List<OaEntity>) super.selectList(getSqlIdPrifx() + "queryQgdList", entity);
        return o;
    }

    /**
     * @param entity
     * @return java.util.List<com.hzya.frame.plugin.dgx.u9c.entity.OaEntity>
     * @Author lvleigang
     * @Description 修改oa请购单
     * @Date 2:56 下午 2024/11/14
     **/
    @Override
    @DS("#entity.dataSourceCode")
    public Integer updateQgd(OaEntity entity) {
        Integer o = super.update(getSqlIdPrifx() + "updateQgd", entity);
        return o;
    }
}
