package com.hzya.frame.plugin.dgx.u9c.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description 德广信U9C请购单
 * @Author xiangerlin
 * @Date 2024/9/18 14:08
 **/
public class RequisitionEntity extends BaseEntity {

    //单号
    private String docNo;
    //业务日期
    private String businessDate;
    //单据类型id
    private String pRDocTypeId;
    //单据类型编码
    private String pRDocTypeCode;
    //单据类型名字
    private String pRDocTypeName;
    //需求人员id
    private String reqEmployeeId;
    //需求人员编码
    private String reqEmployeeCode;
    //需求人员名称
    private String reqEmployeeName;
    //需求部门id
    private String reqDepartmentId;
    //需求部门编码
    private String reqDepartmentCode;
    //需求部门名字
    private String reqDepartmentName;
    //来源类型code
    private String sourceTypeCode;
    //单据状态code
    private String status;
    //单据状态name
    private String statusName;
    //修改时间
    private String modifiedOn;
    //创建时间
    private String createdOn;
    //开始时间  查询用
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //结束时间  查询用
    private String endTime;
    //数据状态 1、成功 2、失败
    private String dataStatus;
    //数据状态描述
    private String dataMsg;
    //用户手机号
    private String sendPhone;

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getDocNo() {
        return docNo;
    }

    public void setDocNo(String docNo) {
        this.docNo = docNo;
    }

    public String getBusinessDate() {
        return businessDate;
    }

    public void setBusinessDate(String businessDate) {
        this.businessDate = businessDate;
    }

    public String getpRDocTypeId() {
        return pRDocTypeId;
    }

    public void setpRDocTypeId(String pRDocTypeId) {
        this.pRDocTypeId = pRDocTypeId;
    }

    public String getpRDocTypeCode() {
        return pRDocTypeCode;
    }

    public void setpRDocTypeCode(String pRDocTypeCode) {
        this.pRDocTypeCode = pRDocTypeCode;
    }

    public String getpRDocTypeName() {
        return pRDocTypeName;
    }

    public void setpRDocTypeName(String pRDocTypeName) {
        this.pRDocTypeName = pRDocTypeName;
    }

    public String getReqEmployeeId() {
        return reqEmployeeId;
    }

    public void setReqEmployeeId(String reqEmployeeId) {
        this.reqEmployeeId = reqEmployeeId;
    }

    public String getReqEmployeeCode() {
        return reqEmployeeCode;
    }

    public void setReqEmployeeCode(String reqEmployeeCode) {
        this.reqEmployeeCode = reqEmployeeCode;
    }

    public String getReqEmployeeName() {
        return reqEmployeeName;
    }

    public void setReqEmployeeName(String reqEmployeeName) {
        this.reqEmployeeName = reqEmployeeName;
    }

    public String getReqDepartmentId() {
        return reqDepartmentId;
    }

    public void setReqDepartmentId(String reqDepartmentId) {
        this.reqDepartmentId = reqDepartmentId;
    }

    public String getReqDepartmentCode() {
        return reqDepartmentCode;
    }

    public void setReqDepartmentCode(String reqDepartmentCode) {
        this.reqDepartmentCode = reqDepartmentCode;
    }

    public String getReqDepartmentName() {
        return reqDepartmentName;
    }

    public void setReqDepartmentName(String reqDepartmentName) {
        this.reqDepartmentName = reqDepartmentName;
    }

    public String getSourceTypeCode() {
        return sourceTypeCode;
    }

    public void setSourceTypeCode(String sourceTypeCode) {
        this.sourceTypeCode = sourceTypeCode;
    }



    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public String getModifiedOn() {
        return modifiedOn;
    }

    public void setModifiedOn(String modifiedOn) {
        this.modifiedOn = modifiedOn;
    }

    public String getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(String createdOn) {
        this.createdOn = createdOn;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getDataMsg() {
        return dataMsg;
    }

    public void setDataMsg(String dataMsg) {
        this.dataMsg = dataMsg;
    }


    public String getSendPhone() {
        return sendPhone;
    }

    public void setSendPhone(String sendPhone) {
        this.sendPhone = sendPhone;
    }
}
