package com.hzya.frame.plugin.dgx.u9c.service.impl;

import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.plugin.dgx.u9c.service.IAcquireTokenService;
import org.springframework.stereotype.Service;

/**
 *
 * @content 获取U9Ctoken
 * @Param
 * @Return
 * @Author hecan
 * @Date 2024-09-24 11:32
 * **/
@Service(value = "AcquireTokenServiceImpl")
public class AcquireTokenServiceImpl extends BaseService implements IAcquireTokenService  {

    private static String TOKENTEST="http://122.224.56.190:8082";
    private static String URL="/U9C/webapi/OAuth2/AuthLogin";
    @Override
    public String getToken() {
        String clientid="001";
        String clientsecret="8364356273724b499fb840efbc53edb4";
        String entCode="002";
        String userCode="OA";
        String orgCode="1001";
        String result=null;
        try {
            String params="?clientid="+clientid+"&clientsecret="+clientsecret+"&entCode="+entCode+"&userCode="+userCode+"&orgCode="+orgCode;
            logger.info("======获取德广信U9Ctoken请求参数为：{}===",TOKENTEST + params);
            String body = HttpRequest.get(TOKENTEST+URL + params).execute().body();
            logger.info("======获取德广信U9Ctoken返回参数为：{}=====",body);
            if(StrUtil.isNotEmpty(body)){
                JSONObject jsonObject = JSONObject.parseObject(body);
                result = jsonObject.getString("Data");
            }
            return result;
        }catch (Exception e){
            logger.info("===获取德广信U9Ctoken失败:{}====",e.getMessage());
        }
        return null;
    }
}
