package com.hzya.frame.plugin.dgx.u9c.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.plugin.dgx.u9c.dao.IRequisitionDetailDao;
import com.hzya.frame.plugin.dgx.u9c.entity.RequisitionDetailEntity;
import com.hzya.frame.plugin.dgx.u9c.service.IRequisitionDetailService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @Description
 * @Author xiangerlin
 * @Date 2024/9/18 17:25
 **/
public class RequisitionDetailServiceImpl extends BaseService<RequisitionDetailEntity,String> implements IRequisitionDetailService {

    private IRequisitionDetailDao requisitionDetailDao;

    @Autowired
    public void setRequisitionDetailDao(IRequisitionDetailDao dao) {
        this.requisitionDetailDao = dao;
        this.dao = dao;
    }

    /**
     * 查询请购单明细
     *
     * @param entity
     * @return
     */
    @DS("#entity.dataSourceCode")
    @Override
    public List<RequisitionDetailEntity> queryDetails(RequisitionDetailEntity entity) {
        List<RequisitionDetailEntity> list = requisitionDetailDao.queryList(entity, "com.hzya.frame.plugin.dgx.u9c.dao.impl.RequisitionDetailDaoImpl.entity_list_base");
        return list;
    }
}
