package com.hzya.frame.plugin.dgx.u9c.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.plugin.dgx.u9c.dao.IRequisitionDao;
import com.hzya.frame.plugin.dgx.u9c.entity.RequisitionEntity;
import com.hzya.frame.plugin.dgx.u9c.service.IRequisitionService;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @Description
 * @Author xiangerlin
 * @Date 2024/9/18 14:13
 **/
public class RequisitionServiceImpl extends BaseService<RequisitionEntity,String> implements IRequisitionService {

    private IRequisitionDao requisitionDao;
    @Autowired
    public void setRequisitionDao(IRequisitionDao dao) {
        this.requisitionDao = dao;
        this.dao = dao;
    }

    /**
     * 查询U9C请购单
     *
     * @param entity
     * @return
     */
    @DS("#entity.dataSourceCode")
    @Override
    public List<RequisitionEntity> queryList(RequisitionEntity entity) {
        List<RequisitionEntity> list = requisitionDao.queryList(entity, "com.hzya.frame.plugin.dgx.u9c.dao.impl.RequisitionDaoImpl.entity_list_base");
        return list;
    }

    /**
     * 更新推送状态
     *
     * @param entity
     * @return
     */
    @DS("#entity.dataSourceCode")
    @Override
    public void updateStatus(RequisitionEntity entity) {
        requisitionDao.update(entity);
    }
}
