package com.hzya.frame.plugin.dgx.oa.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.plugin.dgx.oa.dao.ISalesOrderDao;
import com.hzya.frame.plugin.dgx.oa.entity.SalesOrderEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

public class SalesOrderDaoImpl extends MybatisGenericDao<SalesOrderEntity,String> implements ISalesOrderDao {
    @Override
    @DS("#salesOrderEntity.dataSourceCode")
    public Integer updateSalesOrderStatus(SalesOrderEntity salesOrderEntity) {
        return super.update("SalesOrderEntity_update_status",salesOrderEntity);
    }

    @Override
    @DS("#salesOrder.dataSourceCode")
    public List<SalesOrderEntity> querySalesOrderRetry(SalesOrderEntity salesOrder) {
        return super.query("querySalesOrderRetry",salesOrder);
    }
}
