package com.hzya.frame.plugin.dgx.oa.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

/**
 *
 * @content 付款单
 * @Param
 * @Return
 * @Author hecan
 * @Date 2024-09-23 16:42
 * **/
public class PaymentOrderEntity extends BaseEntity {

    private String docNo;//单号
    private String pCCode;//币种
    private String payDate;//付款日期
    private String documentTypeCode;//单据类型
    private String suppCode;//供应商
    private String suppName;//供应商名称
    private String suppSiteCode;//供应商位置
    private String suppSiteName;//供应商位置名称
    private String custCode;//客户
    private String custName;//客户名称
    private String custSiteCode;//客户位置
    private String custSiteName;//客户位置名称
    private String payObjType;//付款对象
    private String deptCode;//部门
    private String projectCode;//项目
    private String srcBillOrgCode;//来源组织
    private String transactorCode;//业务员
    private String note;//备注

    private  String pushStatus;//推送状态

    private String privateDescSeg1;//私有段  单号

    public String getPrivateDescSeg1() {
        return privateDescSeg1;
    }

    public void setPrivateDescSeg1(String privateDescSeg1) {
        this.privateDescSeg1 = privateDescSeg1;
    }

    public String getPushStatus() {
        return pushStatus;
    }

    public void setPushStatus(String pushStatus) {
        this.pushStatus = pushStatus;
    }

    public String getDocNo() {
        return docNo;
    }

    public void setDocNo(String docNo) {
        this.docNo = docNo;
    }

    public String getpCCode() {
        return pCCode;
    }

    public void setpCCode(String pCCode) {
        this.pCCode = pCCode;
    }

    public String getPayDate() {
        return payDate;
    }

    public void setPayDate(String payDate) {
        this.payDate = payDate;
    }

    public String getDocumentTypeCode() {
        return documentTypeCode;
    }

    public void setDocumentTypeCode(String documentTypeCode) {
        this.documentTypeCode = documentTypeCode;
    }

    public String getSuppCode() {
        return suppCode;
    }

    public void setSuppCode(String suppCode) {
        this.suppCode = suppCode;
    }

    public String getSuppName() {
        return suppName;
    }

    public void setSuppName(String suppName) {
        this.suppName = suppName;
    }

    public String getSuppSiteCode() {
        return suppSiteCode;
    }

    public void setSuppSiteCode(String suppSiteCode) {
        this.suppSiteCode = suppSiteCode;
    }

    public String getSuppSiteName() {
        return suppSiteName;
    }

    public void setSuppSiteName(String suppSiteName) {
        this.suppSiteName = suppSiteName;
    }

    public String getCustCode() {
        return custCode;
    }

    public void setCustCode(String custCode) {
        this.custCode = custCode;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustSiteCode() {
        return custSiteCode;
    }

    public void setCustSiteCode(String custSiteCode) {
        this.custSiteCode = custSiteCode;
    }

    public String getCustSiteName() {
        return custSiteName;
    }

    public void setCustSiteName(String custSiteName) {
        this.custSiteName = custSiteName;
    }

    public String getPayObjType() {
        return payObjType;
    }

    public void setPayObjType(String payObjType) {
        this.payObjType = payObjType;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getSrcBillOrgCode() {
        return srcBillOrgCode;
    }

    public void setSrcBillOrgCode(String srcBillOrgCode) {
        this.srcBillOrgCode = srcBillOrgCode;
    }

    public String getTransactorCode() {
        return transactorCode;
    }

    public void setTransactorCode(String transactorCode) {
        this.transactorCode = transactorCode;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }
}
