package com.hzya.frame.plugin.dgx.oa.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

/**
 *
 * @content 销售订单
 * @Param
 * @Return
 * @Author hecan
 * @Date 2024-09-06 11:52
 * **/
public class SalesOrderEntity extends BaseEntity {

    private String documentType;//单据类型
    private String docNo;//单号
    private String orderBy;//客户
    private String businessDate;//日期
    private String saleDepartment;//部门
    private String seller;//业务员
    private String isPriceIncludeTax;//价格是否含税
    private String memo;//备注
    private String confirmTermCode;//立账条件
    private String pubDescSeg1;//合同号
    private String pubDescSeg5;//厂区
    private String pubDescSeg6;//贸易方式

    private String recTermCode;//收款条件

    private String pushStatus;//推送状态
    private String project;//项目编码

    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }

    public String getRecTermCode() {
        return recTermCode;
    }

    public void setRecTermCode(String recTermCode) {
        this.recTermCode = recTermCode;
    }

    public String getPushStatus() {
        return pushStatus;
    }

    public void setPushStatus(String pushStatus) {
        this.pushStatus = pushStatus;
    }

    public String getDocumentType() {
        return documentType;
    }

    public void setDocumentType(String documentType) {
        this.documentType = documentType;
    }

    public String getDocNo() {
        return docNo;
    }

    public void setDocNo(String docNo) {
        this.docNo = docNo;
    }

    public String getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    public String getBusinessDate() {
        return businessDate;
    }

    public void setBusinessDate(String businessDate) {
        this.businessDate = businessDate;
    }

    public String getSaleDepartment() {
        return saleDepartment;
    }

    public void setSaleDepartment(String saleDepartment) {
        this.saleDepartment = saleDepartment;
    }

    public String getSeller() {
        return seller;
    }

    public void setSeller(String seller) {
        this.seller = seller;
    }

    public String getIsPriceIncludeTax() {
        return isPriceIncludeTax;
    }

    public void setIsPriceIncludeTax(String isPriceIncludeTax) {
        this.isPriceIncludeTax = isPriceIncludeTax;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getConfirmTermCode() {
        return confirmTermCode;
    }

    public void setConfirmTermCode(String confirmTermCode) {
        this.confirmTermCode = confirmTermCode;
    }

    public String getPubDescSeg1() {
        return pubDescSeg1;
    }

    public void setPubDescSeg1(String pubDescSeg1) {
        this.pubDescSeg1 = pubDescSeg1;
    }

    public String getPubDescSeg5() {
        return pubDescSeg5;
    }

    public void setPubDescSeg5(String pubDescSeg5) {
        this.pubDescSeg5 = pubDescSeg5;
    }

    public String getPubDescSeg6() {
        return pubDescSeg6;
    }

    public void setPubDescSeg6(String pubDescSeg6) {
        this.pubDescSeg6 = pubDescSeg6;
    }
}
