package com.hzya.frame.plugin.dgx.oa.enums;

/**
 *
 * @content 流程事件枚举类型
 * @Param
 * @Return
 * @Author hecan
 * @Date 2024-09-23 18:01
 * **/
public enum  ColEventTypeEnum {
    ONBEFORESTART("onBeforeStart","流程发起前"),
    ONSTART("onStart","流程发起"),
    ONBEFORESTOP("onBeforeStop","终止前事件"),
    ONSTOP("onStop","终止事件"),
    ONBEFORECANCEL("onBeforeCancel","撤销前事件"),
    ONCANCEL("onCancel","撤销事件"),
    ONPROCESSFINISHED("onProcessFinished","结束事件"),
    ONBEFOREFINISHWORKITEM("onBeforeFinishWorkitem","处理前事件"),
    ONFINISHWORKITEM("onFinishWorkitem","处理事件"),
    ONBEFORESTEPBACK("onBeforeStepBack","回退前事件"),
    ONSTEPBACK("onStepBack","回退事件"),
    ONBEFORETAKEBACK("onBeforeTakeBack","取回前事件"),
    ONTAKEBACK("onTakeBack","取回事件"),
            ;
    private String type;
    private String name;

    ColEventTypeEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
