package com.hzya.frame.plugin.dgx.u9c.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.plugin.dgx.u9c.entity.OaEntity;

import java.util.List;


public interface IOaDao extends IBaseDao<OaEntity,String> {
    /**
     * @Author lvleigang
     * @Description  查询oa请款单
     * @Date 2:56 下午 2024/11/14
     * @param oaEntity
     * @return java.util.List<com.hzya.frame.plugin.dgx.u9c.entity.OaEntity>
     **/
    List<OaEntity> queryQkdList(OaEntity oaEntity);

    /**
     * @Author lvleigang
     * @Description  修改oa请款单
     * @Date 2:56 下午 2024/11/14
     * @param oaEntity
     * @return java.util.List<com.hzya.frame.plugin.dgx.u9c.entity.OaEntity>
     **/
    Integer updateQkd(OaEntity oaEntity);


    /**
     * @Author lvleigang
     * @Description  查询oa请购单
     * @Date 2:56 下午 2024/11/14
     * @param oaEntity
     * @return java.util.List<com.hzya.frame.plugin.dgx.u9c.entity.OaEntity>
     **/
    List<OaEntity> queryQgdList(OaEntity oaEntity);
    /**
     * @Author lvleigang
     * @Description  修改oa请购单
     * @Date 2:56 下午 2024/11/14
     * @param oaEntity
     * @return java.util.List<com.hzya.frame.plugin.dgx.u9c.entity.OaEntity>
     **/
    Integer updateQgd(OaEntity oaEntity);
}
