package com.hzya.frame.plugin.dgx.u9c.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @Description 德广信U9C预付单明细（请款单） 请款明细 第2个页签
 * @Author xiangerlin
 * @Date 2024/9/18 17:11
 **/
public class PrepaymentDetailEntity extends BaseEntity {
    // 主表id
    private String mainId;
    // 单据类型明细
    private String docType;
    // 应付单
    private String docCode;
    // 折扣前可请款金额
    private String canDisposeMoney;
    // 请款对应折扣
    private String rfDisCount;
    // 折扣前请款金额明细
    private String rfTotalMoney;
    // 折扣后请款金额明细
    private String raTotalMoney;
    // 累计确认对应金额
    private String cfmMoney;
    // 发票号
    private String invoiceNum;
    // 发票日期
    private String invoiceDate;
    // 立账日期
    private String accrueDate;
    // 记账期间
    private String postPeriod;
    // 到期日
    private String maturity;
    // 付款条件 ID
    private String payTermId;
    // 付款条件 code
    private String payTermCode;
    // 付款条件 name
    private String payTermName;
    // 部门明细 code
    private String detpCode;
    // 部门明细
    private String detpName;
    // 业务员明细 code
    private String transactorCode;
    // 业务员明细
    private String transactorName;
    // 料号 ID
    private String itemId;
    // 料号 code
    private String itemCode;
    // 料号
    private String itemName;
    // 项目 ID
    private String projectId;
    // 项目 code
    private String projectCode;
    // 项目
    private String projectName;
    // 立账供应商 id
    private String suppId;
    // 立账供应商 code
    private String suppCode;
    // 立账供应商
    private String suppName;

    //用途code
    private String reqFundUseCode;
    //用途name
    private String reqFundUseName;
    public String getMainId() {
        return mainId;
    }

    public void setMainId(String mainId) {
        this.mainId = mainId;
    }

    public String getDocType() {
        return docType;
    }

    public void setDocType(String docType) {
        this.docType = docType;
    }

    public String getDocCode() {
        return docCode;
    }

    public void setDocCode(String docCode) {
        this.docCode = docCode;
    }

    public String getCanDisposeMoney() {
        return canDisposeMoney;
    }

    public void setCanDisposeMoney(String canDisposeMoney) {
        this.canDisposeMoney = canDisposeMoney;
    }

    public String getRfDisCount() {
        return rfDisCount;
    }

    public void setRfDisCount(String rfDisCount) {
        this.rfDisCount = rfDisCount;
    }

    public String getRfTotalMoney() {
        return rfTotalMoney;
    }

    public void setRfTotalMoney(String rfTotalMoney) {
        this.rfTotalMoney = rfTotalMoney;
    }

    public String getRaTotalMoney() {
        return raTotalMoney;
    }

    public void setRaTotalMoney(String raTotalMoney) {
        this.raTotalMoney = raTotalMoney;
    }

    public String getCfmMoney() {
        return cfmMoney;
    }

    public void setCfmMoney(String cfmMoney) {
        this.cfmMoney = cfmMoney;
    }

    public String getInvoiceNum() {
        return invoiceNum;
    }

    public void setInvoiceNum(String invoiceNum) {
        this.invoiceNum = invoiceNum;
    }

    public String getInvoiceDate() {
        return invoiceDate;
    }

    public void setInvoiceDate(String invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public String getAccrueDate() {
        return accrueDate;
    }

    public void setAccrueDate(String accrueDate) {
        this.accrueDate = accrueDate;
    }

    public String getPostPeriod() {
        return postPeriod;
    }

    public void setPostPeriod(String postPeriod) {
        this.postPeriod = postPeriod;
    }

    public String getMaturity() {
        return maturity;
    }

    public void setMaturity(String maturity) {
        this.maturity = maturity;
    }

    public String getPayTermId() {
        return payTermId;
    }

    public void setPayTermId(String payTermId) {
        this.payTermId = payTermId;
    }

    public String getPayTermCode() {
        return payTermCode;
    }

    public void setPayTermCode(String payTermCode) {
        this.payTermCode = payTermCode;
    }

    public String getPayTermName() {
        return payTermName;
    }

    public void setPayTermName(String payTermName) {
        this.payTermName = payTermName;
    }

    public String getDetpCode() {
        return detpCode;
    }

    public void setDetpCode(String detpCode) {
        this.detpCode = detpCode;
    }

    public String getDetpName() {
        return detpName;
    }

    public void setDetpName(String detpName) {
        this.detpName = detpName;
    }

    public String getTransactorCode() {
        return transactorCode;
    }

    public void setTransactorCode(String transactorCode) {
        this.transactorCode = transactorCode;
    }

    public String getTransactorName() {
        return transactorName;
    }

    public void setTransactorName(String transactorName) {
        this.transactorName = transactorName;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getSuppId() {
        return suppId;
    }

    public void setSuppId(String suppId) {
        this.suppId = suppId;
    }

    public String getSuppCode() {
        return suppCode;
    }

    public void setSuppCode(String suppCode) {
        this.suppCode = suppCode;
    }

    public String getSuppName() {
        return suppName;
    }

    public void setSuppName(String suppName) {
        this.suppName = suppName;
    }

    public String getReqFundUseCode() {
        return reqFundUseCode;
    }

    public void setReqFundUseCode(String reqFundUseCode) {
        this.reqFundUseCode = reqFundUseCode;
    }

    public String getReqFundUseName() {
        return reqFundUseName;
    }

    public void setReqFundUseName(String reqFundUseName) {
        this.reqFundUseName = reqFundUseName;
    }
}
