package com.hzya.frame.plugin.dgx.u9c.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @Description 德广信U9C预付单明细（请款单） 明细，供应商页签
 * @Author xiangerlin
 * @Date 2024/10/14 11:29
 **/
public class PrepaymentSuppEntity extends BaseEntity {
    // 付款申请资金表头作为主 ID
    private String mainId;
    // 行号
    private String lineNum;
    // 供应商名字
    private String suppName;
    // 折扣前请款金额
    private String rfTotalMoney;
    // 请款对应折扣
    private String rfDisCount;
    // 折扣后请款金额
    private String rfaMoney;
    // 付款本币金额
    private String acmPayFCMoney;
    // 结算方式
    private String payType;
    // 收款银行账号
    private String oppAccBkAccount;
    // 收款账号名称
    private String recBkAccName;
    // 开户行
    private String oppAccBk;
    // 收支项目 id
    private String incomeExpendItem;
    // 收支项目名字
    private String incomeExpendItemName;
    // 部门 - 供应商 id
    private String deptId;
    // 部门 - 供应商 code
    private String deptCode;
    // 部门 - 供应商 name
    private String deptName;
    // 业务员 - 供应商 id
    private String transactorId;
    // 业务员 - 供应商 code
    private String transactorCode;
    // 业务员 - 供应商
    private String transactorName;
    // 立账供应商 id
    private String accrueSuppId;
    // 立账供应商 code
    private String accrueSuppCode;
    // 立账供应商
    private String accrueSuppName;
    // 料品 code
    private String itemCode;
    // 料品
    private String itemName;

    public String getMainId() {
        return mainId;
    }

    public void setMainId(String mainId) {
        this.mainId = mainId;
    }

    public String getLineNum() {
        return lineNum;
    }

    public void setLineNum(String lineNum) {
        this.lineNum = lineNum;
    }

    public String getSuppName() {
        return suppName;
    }

    public void setSuppName(String suppName) {
        this.suppName = suppName;
    }

    public String getRfTotalMoney() {
        return rfTotalMoney;
    }

    public void setRfTotalMoney(String rfTotalMoney) {
        this.rfTotalMoney = rfTotalMoney;
    }

    public String getRfDisCount() {
        return rfDisCount;
    }

    public void setRfDisCount(String rfDisCount) {
        this.rfDisCount = rfDisCount;
    }

    public String getRfaMoney() {
        return rfaMoney;
    }

    public void setRfaMoney(String rfaMoney) {
        this.rfaMoney = rfaMoney;
    }

    public String getAcmPayFCMoney() {
        return acmPayFCMoney;
    }

    public void setAcmPayFCMoney(String acmPayFCMoney) {
        this.acmPayFCMoney = acmPayFCMoney;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getOppAccBkAccount() {
        return oppAccBkAccount;
    }

    public void setOppAccBkAccount(String oppAccBkAccount) {
        this.oppAccBkAccount = oppAccBkAccount;
    }

    public String getRecBkAccName() {
        return recBkAccName;
    }

    public void setRecBkAccName(String recBkAccName) {
        this.recBkAccName = recBkAccName;
    }

    public String getOppAccBk() {
        return oppAccBk;
    }

    public void setOppAccBk(String oppAccBk) {
        this.oppAccBk = oppAccBk;
    }

    public String getIncomeExpendItem() {
        return incomeExpendItem;
    }

    public void setIncomeExpendItem(String incomeExpendItem) {
        this.incomeExpendItem = incomeExpendItem;
    }

    public String getIncomeExpendItemName() {
        return incomeExpendItemName;
    }

    public void setIncomeExpendItemName(String incomeExpendItemName) {
        this.incomeExpendItemName = incomeExpendItemName;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getTransactorId() {
        return transactorId;
    }

    public void setTransactorId(String transactorId) {
        this.transactorId = transactorId;
    }

    public String getTransactorCode() {
        return transactorCode;
    }

    public void setTransactorCode(String transactorCode) {
        this.transactorCode = transactorCode;
    }

    public String getTransactorName() {
        return transactorName;
    }

    public void setTransactorName(String transactorName) {
        this.transactorName = transactorName;
    }

    public String getAccrueSuppId() {
        return accrueSuppId;
    }

    public void setAccrueSuppId(String accrueSuppId) {
        this.accrueSuppId = accrueSuppId;
    }

    public String getAccrueSuppCode() {
        return accrueSuppCode;
    }

    public void setAccrueSuppCode(String accrueSuppCode) {
        this.accrueSuppCode = accrueSuppCode;
    }

    public String getAccrueSuppName() {
        return accrueSuppName;
    }

    public void setAccrueSuppName(String accrueSuppName) {
        this.accrueSuppName = accrueSuppName;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
}
