package com.hzya.frame.plugin.dgx.u9c.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.plugin.dgx.u9c.entity.PrepaymentEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

import java.util.List;

/**
 * @Description 德广信U9C预付单
 * @Author xiangerlin
 * @Date 2024/9/18 14:39
 **/
public interface IPrepaymentService extends IBaseService<PrepaymentEntity,String> {
    /**
     * 查询u9c预付单
     * @param entity
     * @return
     */
    List<PrepaymentEntity> queryList(PrepaymentEntity entity);

    /**
     * 更新推送状态
     * @param entity
     * @return
     */
    void updateStatus(PrepaymentEntity entity);
}
