package com.hzya.frame.plugin.dgx.u9c.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.plugin.dgx.u9c.entity.RequisitionEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

import java.util.List;

/**
 * @Description 广信U9C请购单
 * @Author xiangerlin
 * @Date 2024/9/18 14:12
 **/
public interface IRequisitionService extends IBaseService<RequisitionEntity,String> {

    /**
     * 查询U9C请购单
     * @param entity
     * @return
     */
    List<RequisitionEntity> queryList(RequisitionEntity entity);

    /**
     * 更新推送状态
     * @param entity
     * @return
     */
    void updateStatus(RequisitionEntity entity);
}
