package com.hzya.frame.plugin.dgx.u9c.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.plugin.dgx.u9c.dao.IPrepaymentDetailDao;
import com.hzya.frame.plugin.dgx.u9c.entity.PrepaymentDetailEntity;
import com.hzya.frame.plugin.dgx.u9c.service.IPrepaymentDetailService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @Description 德广信U9C预付单明细
 * @Author xiangerlin
 * @Date 2024/9/18 17:23
 **/
public class PrepaymentDetailServiceImpl extends BaseService<PrepaymentDetailEntity,String> implements IPrepaymentDetailService {

    private IPrepaymentDetailDao prepaymentDetailDao;

    @Autowired
    public void setPrepaymentDetailDao(IPrepaymentDetailDao dao) {
        this.prepaymentDetailDao = dao;
        this.dao = dao;
    }

    /**
     * 查询预付单明细
     *
     * @param entity
     * @return
     */
    @DS("#entity.dataSourceCode")
    @Override
    public List<PrepaymentDetailEntity> queryDetails(PrepaymentDetailEntity entity) {
        List<PrepaymentDetailEntity> list = prepaymentDetailDao.queryList(entity, "com.hzya.frame.plugin.dgx.u9c.dao.impl.PrepaymentDetailDaoImpl.entity_list_base");
        return list;
    }
}
