package com.hzya.frame.plugin.dgx.u9c.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.plugin.dgx.u9c.dao.IPrepaymentSuppDao;
import com.hzya.frame.plugin.dgx.u9c.entity.PrepaymentDetailEntity;
import com.hzya.frame.plugin.dgx.u9c.entity.PrepaymentSuppEntity;
import com.hzya.frame.plugin.dgx.u9c.service.IPrepaymentSuppService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @Description 德广信U9C预付单明细表 第一个页签 供应商明细
 * @Author xiangerlin
 * @Date 2024/10/14 13:44
 **/
public class PrepaymentSuppServiceImpl extends BaseService<PrepaymentSuppEntity,String> implements IPrepaymentSuppService {

    private IPrepaymentSuppDao prepaymentSuppDao;
    @Autowired
    public void setPrepaymentSuppDao(IPrepaymentSuppDao dao) {
        this.prepaymentSuppDao = dao;
        this.dao = dao;
    }

    /**
     * 查询预付单明细 供应商页签
     *
     * @param entity
     * @return
     */
    @DS("#entity.dataSourceCode")
    @Override
    public List<PrepaymentSuppEntity> queryDetails(PrepaymentSuppEntity entity) {
        List<PrepaymentSuppEntity> list = prepaymentSuppDao.queryList(entity, "com.hzya.frame.plugin.dgx.u9c.dao.impl.PrepaymentSuppDaoImpl.entity_list_base");
        return list;
    }
}
